# Mechanism

![Body](files/mech_body.png)

## Bill of Materials

### Servo - MG92B

Servo is the key component. I use TowerPro [MG92B](http://www.towerpro.com.tw/product/mg92b/). It has metal gear (important!).
An hexapod requires 18 of them.

>    The dimension of 3d printed part is highly depended on servo's dimension.<br>
>    Modification is required if you want to use other alternative servo. 

>    TowerPro MG92B can be found on Ebay seller [servohorns959](https://www.ebay.com/usr/servohorns959), which is listed on TowerPro official website ([Link] (http://www.towerpro.com.tw/about-us-2/)). <br>I also got mime servo from him.


### 3D-Printed Parts

#### Body x 1

| Filename       | Thumbnail                                   | Required |
| -------------- | ------------------------------------------- | -------- |
| body_top       | ![body_top](files/body_top.jpg)             | 1        |
| body_bottom    | ![body_bottom](files/body_bottom.jpg)       | 1        |
| body_center    | ![body_center](files/body_center.jpg)       | 1        |
| body_side_wall | ![body_side_wall](files/body_side_wall.jpg) | 2        |
| body_back_wall | ![body_back_wall](files/body_back_wall.jpg) | 1        |

#### Leg x 6

| Filename     | Thumbnail                               | Required |
| ------------ | --------------------------------------- | -------- |
| thigh_top    | ![thigh_top](files/thigh_top.jpg)       | 1 (x6)   |
| thigh_bottom | ![thigh_bottom](files/thigh_bottom.jpg) | 1 (x6)   |
| joint_cross  | ![joint_cross](files/joint_cross.jpg)   | 1 (x6)   |
| joint_top    | ![joint_top](files/joint_top.jpg)       | 2 (x6)   |
| joint_bottom | ![joint_bottom](files/joint_bottom.jpg) | 2 (x6)   |
| leg_top      | ![leg_top](files/leg_top.jpg)           | 1 (x6)   |
| let_bottom   | ![leg_bottom](files/leg_bottom.jpg)     | 1 (x6)   |
| foot_top     | ![foot_top](files/foot_top.jpg)         | 1 (x6)   |
| foot_bottom  | ![foot_bottom](files/foot_bottom.jpg)   | 1 (x6)   |
| foot_ground  | ![foot_ground](files/foot_ground.jpg)   | 1 (x6)   |
| foot_tip     | ![foot_tip](files/foot_tip.jpg)         | 1 (x6)   |

### Others

| Name      | Spec    | Thumbnail                    | Required | Note                                              |
| --------- | ------- | ---------------------------- | -------- | ------------------------------------------------- |
| Screw     | M2 6mm  | ![6mm](files/M2_6mm.JPG)     | 54       | Servo Arm: 1 x 18<br>Joint: 4 x 6<br>Thigh: 2 x 6 |
| Screw     | M2 10mm | ![10mm](files/M2_10mm.JPG)   | 24       | Thigh: 1 x 6<br>Pin lock: 1 x 18                  |
| Screw     | M2 30mm | ![30mm](files/M2_30mm.JPG)   | 36       | Servo: 2 x 18                                     |
| Nuts      | M2      | ![6mm](files/M2_nut.JPG)     | 36       | Servo: 2 x 18                                     |
| Pin (304) | M4 6mm  | ![pin](files/pin_M4_6mm.JPG) | 18       | Servo: 1 x 18                                     |

### Leg Assemble

![LegAssemble](files/mech_leg_exploded.jpg)

#### Leg Assemble Instruction

Leg assembly instruction video https://youtu.be/oaAE5fC09KQ is also available.
<a href='https://youtu.be/oaAE5fC09KQ'><img src='http://img.youtube.com/vi/oaAE5fC09KQ/mqdefault.jpg'/></a>

##### Preparation

For one leg, you will need 3 MG92B servo and below printed parts

| Filename     | Thumbnail                               | Required |
| ------------ | --------------------------------------- | -------- |
| thigh_top    | ![thigh_top](files/thigh_top.jpg)       | 1        |
| thigh_bottom | ![thigh_bottom](files/thigh_bottom.jpg) | 1        |
| joint_cross  | ![joint_cross](files/joint_cross.jpg)   | 1        |
| joint_top    | ![joint_top](files/joint_top.jpg)       | 2        |
| joint_bottom | ![joint_bottom](files/joint_bottom.jpg) | 2        |
| leg_top      | ![leg_top](files/leg_top.jpg)           | 1        |
| let_bottom   | ![leg_bottom](files/leg_bottom.jpg)     | 1        |
| foot_top     | ![foot_top](files/foot_top.jpg)         | 1        |
| foot_bottom  | ![foot_bottom](files/foot_bottom.jpg)   | 1        |
| foot_ground  | ![foot_ground](files/foot_ground.jpg)   | 1        |
| foot_tip     | ![foot_tip](files/foot_tip.jpg)         | 1        |

##### Step 1

![LegAssemble1](files/mech_leg_1.jpg)

Combine `thigh_top`, `MG92B` and `thigh_bottom`, use M2x30mm screw and nut to secure them together.

##### Step 2

![LegAssemble2](files/mech_leg_2.jpg)

Grab one `joint_cross`, `joint_top` and `joint_bottom` and combine them

##### Step 3

![LegAssemble3](files/mech_leg_3.jpg)

First put 2 x `MG92B`, `leg_top` and `leg_bottom` together with M2x30mm screw and nut.
Then attach `joint_top` and `joint_bottom` altogether

##### Step 4

![LegAssemble4](files/mech_leg_4.jpg)

Grab `foot_top`, `foot_bottom` and `foot_ground` (and `foot_top`) and assemble them.

##### Finish!

![LegAssemble5](files/mech_leg_5.jpg)

Great, you got 1 leg done, 5 more to go :)

Leg assembly instruction video https://youtu.be/oaAE5fC09KQ is also available.
<a href='https://youtu.be/oaAE5fC09KQ'><img src='http://img.youtube.com/vi/oaAE5fC09KQ/mqdefault.jpg'/></a>

> Note. Total 6 Legs are required.
